/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLTableRowElement_H__
#define __GdomHTMLTableRowElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLTableRowElement GdomHTMLTableRowElement;
typedef struct _GdomHTMLTableRowElementClass GdomHTMLTableRowElementClass;


#define GDOM_TYPE_HTML_TABLE_ROW_ELEMENT            (gdom_html_table_row_element_get_type())
#define GDOM_HTML_TABLE_ROW_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_TABLE_ROW_ELEMENT, GdomHTMLTableRowElement))
#define GDOM_HTML_TABLE_ROW_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_TABLE_ROW_ELEMENT, GdomHTMLTableRowElement)Class)
#define GDOM_IS_HTML_TABLE_ROW_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_TABLE_ROW_ELEMENT))
#define GDOM_IS_HTML_TABLE_ROW_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_TABLE_ROW_ELEMENT))
#define GDOM_HTML_TABLE_ROW_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_TABLE_ROW_ELEMENT, GdomHTMLTableRowElementClass))

typedef struct _GdomHTMLTableRowElementPrivate GdomHTMLTableRowElementPrivate;

struct _GdomHTMLTableRowElement {
    GdomHTMLElement parent_instance;
    GdomHTMLTableRowElementPrivate *priv;
};

struct _GdomHTMLTableRowElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_table_row_element_get_type (void);

WEBKIT_API GdomHTMLElement *
gdom_html_table_row_element_insert_cell (GdomHTMLTableRowElement *thiz, glong index);

WEBKIT_API void
gdom_html_table_row_element_delete_cell (GdomHTMLTableRowElement *thiz, glong index);

G_END_DECLS

#endif /* __GdomHTMLTableRowElement_H__ */
